package com.hzya.frame.mdm.mdmModuleViewDetail.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据视图明细表(MdmModuleViewDetail)实体类
 *
 * @author makejava
 * @since 2024-06-03 08:48:55
 */
public class MdmModuleViewDetailEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  视图id */
   private String viewId;
  /**  字段 */
   private String viewFiled;
  /**  字段 */
   private String viewName;
  /**  类型1、查询2、列表3、新增4、修改 5、查看 */
   private String viewType;
  /**  公司id */
   private String companyId;
    /**  数据类型 1、新增 2、修改 */
    private String dataType;

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getViewId() {
        return viewId;
    }

    public void setViewId(String viewId) {
        this.viewId = viewId;
    }

    public String getViewFiled() {
        return viewFiled;
    }

    public void setViewFiled(String viewFiled) {
        this.viewFiled = viewFiled;
    }

    public String getViewType() {
        return viewType;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }
}

